@import "../../color";

.dark-theme {
  button {
    color: white;
    background-color: #7ecfe6;
  }

  .button-info {
    background-color: $dark-theme-color-info;

    &:focus {
      box-shadow: 0 0 0 0.05em #D7CBFE;
    }

    &:hover {
      background-color: #4c9adf;
    }

    &:disabled {
      background-color: $dark-theme-color-info-light;
    }
  }

  .button-success {
    background-color: $dark-theme-color-success;

    &:focus {
      box-shadow: 0 0 0 0.05em #C8E7CD;
    }

    &:hover {
      background-color: #41bfaa;
    }

    &:disabled {
      background-color: $dark-theme-color-success-light;
    }
  }

  .button-danger {
    background-color: $dark-theme-color-danger;

    &:focus {
      box-shadow: 0 0 0 0.05em #EEBABA;
    }

    &:hover {
      background-color: #c8673b;
    }

    &:disabled {
      background-color: $dark-theme-color-danger-light;
    }
  }
}